package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.SwitchModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface SwitchProvider extends SuperProvider {

    default BocloudResult list() {
        return null;
    }

    default  BocloudResult create() {
        return null;
    }

    default  BocloudResult remove() {
        return null;
    }

    default  BocloudResult modify() {
        return null;
    }

    default BocloudResult create(SwitchModel switchModel) {
        return null;
    }

    default BocloudResult remove(SwitchModel switchModel) {
        return null;
    }

    default BocloudResult modify(SwitchModel switchModel) {
        return null;
    }

    default BocloudResult listByVdc(String siteUri) {
        return null;
    }

    default BocloudResult remove(String switchUuid) {
        return null;
    }

    default BocloudResult addUpLink(SwitchModel switchModel) {
        return null;
    }

    default BocloudResult removeUpLink(SwitchModel switchModel) {
        return null;
    }

    default BocloudResult addVlanPool(SwitchModel switchModel) {
        return null;
    }

    default BocloudResult removeVlanPool(SwitchModel switchModel) {
        return null;
    }

    default BocloudResult detail(String switchUuid) {
        return null;
    }

}
